<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

class ChangeIdsOfTablesNotInt extends Migration
{


    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('signs', function (Blueprint $table) {
            $table->bigInteger('signable_id')->change();
        });
        Schema::table('commodity_barcodes', function (Blueprint $table) {
            $table->bigInteger('commodity_id')->change();
        });
        Schema::table('custom_fields', function (Blueprint $table) {
            $table->bigInteger('authority_id')->change();
        });
        Schema::table('orders', function (Blueprint $table) {
            $table->bigInteger('batch_id')->nullable()->change();
        });
        Schema::table('order_issues', function (Blueprint $table) {
            $table->bigInteger('order_issue_type_id')->nullable()->change();
        });
        Schema::table('shops', function (Blueprint $table) {
            $table->bigInteger('owner_id')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
    }
}
